# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate rusty-fork

Name:           rust-%{crate}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Library for running Rust tests in sub-processes using a fork-like interface

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/rusty-fork
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Exclude unneeded files, https://github.com/AltSysrq/rusty-fork/pull/1
Patch0:         rusty-fork-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(fnv/default) >= 1.0.0 with crate(fnv/default) < 2.0.0)
BuildRequires:  (crate(quick-error/default) >= 1.2.0 with crate(quick-error/default) < 2.0.0)
BuildRequires:  (crate(tempfile/default) >= 3.0.0 with crate(tempfile/default) < 4.0.0)
BuildRequires:  (crate(wait-timeout/default) >= 0.1.4 with crate(wait-timeout/default) < 0.2.0)

%global _description \
Cross-platform library for running Rust tests in sub-processes\
using a fork-like interface.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+timeout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+timeout-devel %{_description}

This package contains library source intended for building other packages
which use "timeout" feature of "%{crate}" crate.

%files       -n %{name}+timeout-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+wait-timeout-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wait-timeout-devel %{_description}

This package contains library source intended for building other packages
which use "wait-timeout" feature of "%{crate}" crate.

%files       -n %{name}+wait-timeout-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-1
- Initial package
